Last modified: 2011-03-29 17:06:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26481 - [Installer] $*Key values sometimes not filled
[Installer] $*Key values sometimes not filled
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.17.x
All All
: High major (vote)
: ---
Assigned To: Chad H.
:
Depends on:
Blocks: 26676 28179
  Show dependency treegraph
 
Reported: 2010-12-29 21:11 UTC by Mark A. Hershberger
Modified: 2011-03-29 17:06 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark A. Hershberger 2010-12-29 21:11:39 UTC
Scenario:

 * The user is upgrading their MW install and, ignorantly, erases their LS.php
 * The database, where all the "important" stuff is found, is left untouched.

New Installer will see the DB and upgrade it.  However, $wgUpgradeKey and $wgSecretKey will both be set to empty values (i.e. "") in the LS.php which is made available for downloading.
Comment 1 Mark A. Hershberger 2011-01-29 00:01:33 UTC
Assigning to Chad for now so I can track it.
Comment 2 Siebrand Mazeland 2011-03-20 19:32:27 UTC
Bump importance because this is a 1.17 blocker.
Comment 3 Chad H. 2011-03-29 17:06:39 UTC
Fixed in r84970.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links